#--------------------------------------------------------------------------
# Table structure for table `ban`
#--------------------------------------------------------------------------

CREATE TABLE `ban` (
`ip` varchar(60) NOT NULL default '',
`reason` varchar(255) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#--------------------------------------------------------------------------
# Table structure for table `categories`
#--------------------------------------------------------------------------

CREATE TABLE `categories` (
`catid` int(255) NOT NULL default '0',
`name` varchar(255) NOT NULL default '',
`subid` int(255) NOT NULL,
`subname` varchar(255) NOT NULL default '',
`torrents` int(11) NOT NULL default '0',
UNIQUE KEY `subid` (`subid`),
KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#--------------------------------------------------------------------------
# Table structure for table `comments`
#--------------------------------------------------------------------------

CREATE TABLE `comments` (
`id` int(11) NOT NULL default '0',
`ip` varchar(40) NOT NULL default '',
`post` text NOT NULL,
`date` datetime NOT NULL default '0000-00-00 00:00:00',
`name` varchar(60) NOT NULL default '',
KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#--------------------------------------------------------------------------
# Table structure for table `description`
#--------------------------------------------------------------------------

CREATE TABLE `description` (
`id` int(11) NOT NULL default '0',
`descr` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#--------------------------------------------------------------------------
# Table structure for table `log`
#--------------------------------------------------------------------------

CREATE TABLE `log` (
`ip` varchar(60) NOT NULL default '',
`page` varchar(255) NOT NULL default '',
`date` varchar(255) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#--------------------------------------------------------------------------
# Table structure for table `log2`
#--------------------------------------------------------------------------

CREATE TABLE `log2` (
`tracker_ip` int(10) unsigned NOT NULL default '0',
`tracker_date` varchar(30) NOT NULL default '',
`tracker_action` varchar(255) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#--------------------------------------------------------------------------
# Table structure for table `news`
#--------------------------------------------------------------------------

CREATE TABLE `news` (
`id` int(8) unsigned NOT NULL auto_increment,
`topic` varchar(50) NOT NULL default '',
`date` varchar(8) NOT NULL default '',
`item` longtext NOT NULL,
`poster` varchar(15) NOT NULL default '',
PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

#--------------------------------------------------------------------------
# Table structure for table `news_comments`
#--------------------------------------------------------------------------

CREATE TABLE `news_comments` (
`id` int(11) NOT NULL auto_increment,
`newsid` int(11) NOT NULL default '0',
`ip` varchar(40) NOT NULL default '',
`post` text NOT NULL,
`date` datetime NOT NULL default '0000-00-00 00:00:00',
`name` varchar(60) NOT NULL default '',
KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

#--------------------------------------------------------------------------
# Table structure for table `reported`
#--------------------------------------------------------------------------

CREATE TABLE `reported` (
`id` int(20) NOT NULL auto_increment,
`comment` text,
`ip` varchar(60) NOT NULL default 'unknown',
`name` varchar(255) default '0',
PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

#--------------------------------------------------------------------------
# Table structure for table `shoutbox`
#--------------------------------------------------------------------------

CREATE TABLE `shoutbox` (
`id` int(11) NOT NULL auto_increment,
`name` text NOT NULL,
`message` text NOT NULL,
`time` text NOT NULL,
PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

#--------------------------------------------------------------------------
# Table structure for table `tags`
#--------------------------------------------------------------------------

CREATE TABLE `tags` (
`id` int(11) NOT NULL auto_increment,
`tag` varchar(100) NOT NULL default '',
`count` int(11) NOT NULL default '0',
`ip` varchar(25) default NULL,
PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

#--------------------------------------------------------------------------
# Table structure for table `torrents`
#--------------------------------------------------------------------------

CREATE TABLE `torrents` (
`ip` varchar(255) NOT NULL default 'Unknown',
`id` int(255) NOT NULL auto_increment,
`torrentname` varchar(255) NOT NULL default '',
`added` datetime NOT NULL default '0000-00-00 00:00:00',
`updated` datetime NOT NULL default '0000-00-00 00:00:00',
`size` bigint(255) NOT NULL default '0',
`seeds` int(255) NOT NULL default '0',
`peers` int(255) NOT NULL default '0',
`registration` enum('0','1') NOT NULL default '0',
`description` enum('0','1') NOT NULL default '0',
`hash` varchar(40) NOT NULL default '',
`tracker` varchar(255) NOT NULL default '',
`maincat` int(11) NOT NULL default '7',
`subcat` int(11) NOT NULL default '122',
`site_tid` int(11) NOT NULL default '0',
`site` varchar(50) NOT NULL default '',
`posted_by` varchar(150) default NULL,
`magnet` text NOT NULL,
`dl_name` text NOT NULL,
`posted_id` varchar(255) default NULL,
`grabs` varchar(255) NOT NULL default '0',
`password` varchar(255) default NULL,
`url` text NOT NULL,
`location` varchar(255) default NULL,
PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

#--------------------------------------------------------------------------
# Table structure for table `tracker`
#--------------------------------------------------------------------------

CREATE TABLE `tracker` (
`info_hash` char(20) character set latin1 collate latin1_bin NOT NULL default '',
`ip` int(11) NOT NULL default '0',
`port` smallint(5) unsigned NOT NULL default '0',
`peer_id` char(20) character set latin1 collate latin1_bin NOT NULL default '',
`uploaded` bigint(20) unsigned NOT NULL default '0',
`downloaded` bigint(20) unsigned NOT NULL default '0',
`left` bigint(20) unsigned NOT NULL default '0',
`update_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
`expire_time` timestamp NOT NULL default '0000-00-00 00:00:00',
PRIMARY KEY (`info_hash`,`ip`,`port`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#--------------------------------------------------------------------------
# Table structure for table `un_processed`
#--------------------------------------------------------------------------

CREATE TABLE `un_processed` (
`id` int(255) NOT NULL auto_increment,
`url` text NOT NULL,
`tid` int(10) NOT NULL default '0',
`site` varchar(255) NOT NULL default '',
`date` varchar(10) NOT NULL default '',
`status` varchar(20) NOT NULL default 'new',
`cat` varchar(100) default NULL,
`subcat` varchar(100) default NULL,
`stamp` int(11) default '0',
PRIMARY KEY (`id`),
KEY `date` (`date`,`status`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

#--------------------------------------------------------------------------
# Table structure for table `users`
#--------------------------------------------------------------------------

CREATE TABLE `users` (
`userid` int(11) NOT NULL auto_increment,
`username` varchar(255) NOT NULL default '',
`password` varchar(255) NOT NULL default '',
`email` varchar(150) NOT NULL default '',
`comments` varchar(150) NOT NULL default '0',
`uploads` varchar(150) NOT NULL default '0',
`registered` varchar(25) NOT NULL default '0',
`sig` varchar(255) default NULL,
`rank` varchar(255) default NULL,
`age` char(3) default NULL,
`client` varchar(255) default NULL,
`gender` enum('0','1') NOT NULL default '0',
`avatar` varchar(255) default NULL,
`adm` enum('0','1') NOT NULL default '0',
`ip` varchar(255) default NULL,
`shouts` varchar(255) default '0',
`threads` varchar(255) default '0',
PRIMARY KEY (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

#
# Dumping data for other default shit.
#

INSERT INTO ban VALUES ('213.249.240.219', '');
INSERT INTO ban VALUES ('85.17.143.14', '');
INSERT INTO ban VALUES ('83.202.179.136', '');
INSERT INTO ban VALUES ('213.16.5.105', '');
INSERT INTO ban VALUES ('83.100.248.33', '');
INSERT INTO ban VALUES ('129.174.67.138', '');

INSERT INTO categories VALUES(4, 'Games', 126, 'Games', 0);
INSERT INTO categories VALUES(2, 'Series', 127, 'Series', 0);
INSERT INTO categories VALUES(5, 'Software', 128, 'Software', 0);
INSERT INTO categories VALUES(3, 'Music', 129, 'Music', 0);
INSERT INTO categories VALUES(1, 'Movies', 130, 'Movies', 0);
INSERT INTO categories VALUES(6, 'Anime', 131, 'Anime', 0);
INSERT INTO categories VALUES(7, 'Other', 123, 'Other', 0);

INSERT INTO categories VALUES (1, 'Movies', 700, 'Crawled', 0);
INSERT INTO categories VALUES (2, 'Series', 701, 'Crawled', 0);
INSERT INTO categories VALUES (3, 'Music', 702, 'Crawled', 0);
INSERT INTO categories VALUES (4, 'Games', 703, 'Crawled', 0);
INSERT INTO categories VALUES (5, 'Software', 704, 'Crawled', 0);
INSERT INTO categories VALUES (6, 'Anime', 705, 'Crawled', 0);
INSERT INTO categories VALUES (7, 'Misc', 706, 'Crawled', 0);
INSERT INTO categories VALUES (1, 'Movies', 1, 'Action', 960);
INSERT INTO categories VALUES (1, 'Movies', 2, 'Drama', 590);
INSERT INTO categories VALUES (1, 'Movies', 3, 'DVD Extras', 415);
INSERT INTO categories VALUES (2, 'Series', 4, '24', 22);
INSERT INTO categories VALUES (2, 'Series', 5, 'Buffy', 7);
INSERT INTO categories VALUES (2, 'Series', 6, 'Charmed', 0);
INSERT INTO categories VALUES (2, 'Series', 7, 'Misc', 2674);
INSERT INTO categories VALUES (3, 'Music', 8, 'Alternative', 182);
INSERT INTO categories VALUES (3, 'Music', 9, 'Rap/Hiphop', 360);
INSERT INTO categories VALUES (3, 'Music', 10, 'Pop', 633);
INSERT INTO categories VALUES (3, 'Music', 11, 'Misc', 1431);
INSERT INTO categories VALUES (4, 'Games', 12, 'Pc Games', 910);
INSERT INTO categories VALUES (4, 'Games', 13, 'PS 2', 164);
INSERT INTO categories VALUES (4, 'Games', 14, 'XboX', 0);
INSERT INTO categories VALUES (4, 'Games', 16, 'Gamecube', 5);
INSERT INTO categories VALUES (5, 'Software', 17, 'Windows', 2183);
INSERT INTO categories VALUES (5, 'Software', 18, 'Linux', 34);
INSERT INTO categories VALUES (6, 'Anime', 19, 'Other', 787);
INSERT INTO categories VALUES (7, 'Misc', 20, 'Pictures', 785);
INSERT INTO categories VALUES (7, 'Misc', 21, 'Others', 1448);
INSERT INTO categories VALUES (7, 'Misc', 22, 'Audio books', 455);
INSERT INTO categories VALUES (7, 'Misc', 24, 'Ebooks', 580);
INSERT INTO categories VALUES (1, 'Movies', 25, 'Adventure', 182);
INSERT INTO categories VALUES (1, 'Movies', 26, 'Animation', 216);
INSERT INTO categories VALUES (1, 'Movies', 27, 'Asian', 177);
INSERT INTO categories VALUES (1, 'Movies', 28, 'Comedy', 773);
INSERT INTO categories VALUES (1, 'Movies', 29, 'Concerts', 74);
INSERT INTO categories VALUES (1, 'Movies', 30, 'Documentary', 277);
INSERT INTO categories VALUES (1, 'Movies', 31, 'Family', 138);
INSERT INTO categories VALUES (1, 'Movies', 32, 'Fantasy', 121);
INSERT INTO categories VALUES (1, 'Movies', 33, 'Horror', 481);
INSERT INTO categories VALUES (1, 'Movies', 34, 'Misc', 0);
INSERT INTO categories VALUES (1, 'Movies', 35, 'Romance', 77);
INSERT INTO categories VALUES (1, 'Movies', 36, 'Thriller', 224);
INSERT INTO categories VALUES (1, 'Movies', 37, 'Sci-Fi', 88);
INSERT INTO categories VALUES (4, 'Games', 38, 'Dreamcast', 3);
INSERT INTO categories VALUES (4, 'Games', 39, 'Game Patches', 21);
INSERT INTO categories VALUES (4, 'Games', 40, 'Mac', 7);
INSERT INTO categories VALUES (4, 'Games', 41, 'PS X', 0);
INSERT INTO categories VALUES (4, 'Games', 42, 'PSP', 255);
INSERT INTO categories VALUES (4, 'Games', 43, 'Roms', 175);
INSERT INTO categories VALUES (5, 'Software', 44, 'Mac', 0);
INSERT INTO categories VALUES (3, 'Music', 45, 'Blues', 37);
INSERT INTO categories VALUES (3, 'Music', 46, 'Classic', 125);
INSERT INTO categories VALUES (3, 'Music', 47, 'Country / Western', 73);
INSERT INTO categories VALUES (3, 'Music', 48, 'Drum N Bass', 662);
INSERT INTO categories VALUES (3, 'Music', 49, 'Electronic', 231);
INSERT INTO categories VALUES (3, 'Music', 50, 'Soundtrack', 90);
INSERT INTO categories VALUES (3, 'Music', 51, 'Hardcore', 57);
INSERT INTO categories VALUES (3, 'Music', 52, 'Metal', 272);
INSERT INTO categories VALUES (3, 'Music', 53, 'Trance', 334);
INSERT INTO categories VALUES (3, 'Music', 54, 'Rock', 658);
INSERT INTO categories VALUES (3, 'Music', 55, 'Punk', 62);
INSERT INTO categories VALUES (3, 'Music', 56, 'R&B', 119);
INSERT INTO categories VALUES (4, 'Games', 92, 'Misc', 55);
INSERT INTO categories VALUES (2, 'Series', 58, 'Alias', 3);
INSERT INTO categories VALUES (2, 'Series', 59, 'CSI', 0);
INSERT INTO categories VALUES (2, 'Series', 60, 'Friends', 8);
INSERT INTO categories VALUES (2, 'Series', 61, 'Joey', 0);
INSERT INTO categories VALUES (2, 'Series', 62, 'Las Vegas', 13);
INSERT INTO categories VALUES (2, 'Series', 63, 'Lost', 28);
INSERT INTO categories VALUES (2, 'Series', 64, 'Scrubs', 38);
INSERT INTO categories VALUES (2, 'Series', 65, 'Smallville', 4);
INSERT INTO categories VALUES (2, 'Series', 66, 'Star-Trek Enterprise', 0);
INSERT INTO categories VALUES (2, 'Series', 67, 'Star-Trek The Next Generation', 1);
INSERT INTO categories VALUES (2, 'Series', 68, 'Stargate Atlantis', 21);
INSERT INTO categories VALUES (2, 'Series', 69, 'StarGate SG1', 5);
INSERT INTO categories VALUES (2, 'Series', 70, 'That 70s Show', 0);
INSERT INTO categories VALUES (2, 'Series', 71, 'The O.C.', 13);
INSERT INTO categories VALUES (3, 'Music', 86, 'Etnic - Non English', 0);
INSERT INTO categories VALUES (6, 'Anime', 73, 'Hentai / Ecchi', 0);
INSERT INTO categories VALUES (6, 'Anime', 74, 'Cartoons', 0);
INSERT INTO categories VALUES (1, 'Movies', 76, 'Kids', 84);
INSERT INTO categories VALUES (1, 'Movies', 77, 'Mystery', 34);
INSERT INTO categories VALUES (1, 'Movies', 78, 'Trailers & Commercials', 17);
INSERT INTO categories VALUES (1, 'Movies', 79, 'Sports Related', 39);
INSERT INTO categories VALUES (2, 'Series', 81, 'Carnivale', 0);
INSERT INTO categories VALUES (2, 'Series', 82, 'Discovery Channel', 20);
INSERT INTO categories VALUES (2, 'Series', 84, 'The Daily Show', 1);
INSERT INTO categories VALUES (2, 'Series', 85, 'The Simpsons', 33);
INSERT INTO categories VALUES (3, 'Music', 87, 'Religious', 0);
INSERT INTO categories VALUES (3, 'Music', 88, 'Industrial', 15);
INSERT INTO categories VALUES (3, 'Music', 89, 'Jazz', 72);
INSERT INTO categories VALUES (3, 'Music', 90, 'Reggae', 49);
INSERT INTO categories VALUES (3, 'Music', 91, 'Videoclips', 211);
INSERT INTO categories VALUES (5, 'Software', 93, 'Other operating system', 51);
INSERT INTO categories VALUES (5, 'Software', 94, 'Palm, PocketPC & IPAQ', 27);
INSERT INTO categories VALUES (2, 'Series', 95, '8 simple rules', 2);
INSERT INTO categories VALUES (2, 'Series', 96, 'American Idol', 0);
INSERT INTO categories VALUES (2, 'Series', 97, 'Battlestar Galactica', 20);
INSERT INTO categories VALUES (2, 'Series', 98, 'Boston Public', 0);
INSERT INTO categories VALUES (2, 'Series', 99, 'Dark Angel', 2);
INSERT INTO categories VALUES (2, 'Series', 100, 'Desperate Houswives', 39);
INSERT INTO categories VALUES (2, 'Series', 101, 'Duckman', 63);
INSERT INTO categories VALUES (2, 'Series', 102, 'Freaks and Geeks', 0);
INSERT INTO categories VALUES (2, 'Series', 103, 'God the devil and bob', 0);
INSERT INTO categories VALUES (2, 'Series', 104, 'Joan of Arcadia', 0);
INSERT INTO categories VALUES (2, 'Series', 105, 'Mythbusters', 5);
INSERT INTO categories VALUES (7, 'Misc', 122, 'Unsorted', 0);
INSERT INTO categories VALUES (4, 'Games', 124, 'XboX 360', 0);
INSERT INTO categories VALUES (4, 'Games', 125, 'PS 3', 0);
INSERT INTO categories VALUES (6, 'Anime', 137, 'Ghost In The Shell SAC', 0);
INSERT INTO categories VALUES (6, 'Anime', 136, 'Full Metal Alchemist', 0);
INSERT INTO categories VALUES (6, 'Anime', 138, 'Gundam', 0);
INSERT INTO categories VALUES (6, 'Anime', 139, 'Hunter X Hunter', 0);
INSERT INTO categories VALUES (6, 'Anime', 140, 'Inu Yasha', 0);
INSERT INTO categories VALUES (4, 'Games', 304, 'Nitendo DS', 0);
INSERT INTO categories VALUES (5, 'Software', 306, 'Mobile Phones', 9);
INSERT INTO categories VALUES (6, 'Anime', 307, 'Cardcaptor Sakura', 4);
INSERT INTO categories VALUES (6, 'Anime', 308, 'Big O', 1);
INSERT INTO categories VALUES (6, 'Anime', 309, 'Battle Programer Shirase', 0);
INSERT INTO categories VALUES (6, 'Anime', 310, 'Chobits', 0);
INSERT INTO categories VALUES (6, 'Anime', 311, 'Comics', 0);
INSERT INTO categories VALUES (6, 'Anime', 312, 'Dragonball', 0);
INSERT INTO categories VALUES (6, 'Anime', 313, 'Dragonball GT', 0);
INSERT INTO categories VALUES (6, 'Anime', 314, 'Dragonball Z', 0);
INSERT INTO categories VALUES (6, 'Anime', 315, 'Flame of Recca', 0);
INSERT INTO categories VALUES (6, 'Anime', 316, 'Konkiki No Gash Bell', 0);
INSERT INTO categories VALUES (6, 'Anime', 317, 'Last Exile', 0);
INSERT INTO categories VALUES (6, 'Anime', 318, 'Naruto', 0);
INSERT INTO categories VALUES (6, 'Anime', 319, 'Onegai Twins', 0);
INSERT INTO categories VALUES (6, 'Anime', 320, 'PlanetES', 0);
INSERT INTO categories VALUES (6, 'Anime', 321, 'Prince of Tennis', 0);
INSERT INTO categories VALUES (6, 'Anime', 322, 'Ranma 1/2', 0);
INSERT INTO categories VALUES (6, 'Anime', 323, 'Ruroni Kenshin', 0);
INSERT INTO categories VALUES (6, 'Anime', 324, 'Samurai Champloo', 0);
INSERT INTO categories VALUES (6, 'Anime', 325, 'Scrapped Princess', 0);
INSERT INTO categories VALUES (6, 'Anime', 330, 'Stellvia of the Universe', 0);
INSERT INTO categories VALUES (6, 'Anime', 331, 'Battle Angel Alita', 2);
INSERT INTO categories VALUES (5, 'Software', 332, 'N-Force', 0);
INSERT INTO categories VALUES (5, 'Software', 333, 'Dell', 0);
INSERT INTO categories VALUES (4, 'Games', 385, 'Jaguar', 0);
INSERT INTO categories VALUES (4, 'Games', 384, 'Gameboy', 0);
INSERT INTO categories VALUES (4, 'Games', 383, 'Gameboy Advance', 0);
INSERT INTO categories VALUES (2, 'Series', 106, 'Ed Edd n Eddy', 1);
INSERT INTO categories VALUES (6, 'Anime', 381, 'Aqua Knight', 0);
INSERT INTO categories VALUES (4, 'Games', 380, 'Sega Megadrive & Genesis', 0);
INSERT INTO categories VALUES (4, 'Games', 382, 'Emulators', 0);
INSERT INTO categories VALUES (4, 'Games', 378, 'Linux Games', 0);
INSERT INTO categories VALUES (7, 'Misc', 374, 'Open Souce', 0);
INSERT INTO categories VALUES (7, 'Misc', 373, 'Public Domain', 0);
INSERT INTO categories VALUES (5, 'Software', 345, 'Audio Tools', 0);
INSERT INTO categories VALUES (5, 'Software', 344, 'Video Tools', 0);
INSERT INTO categories VALUES (5, 'Software', 343, 'Web Developement', 0);
INSERT INTO categories VALUES (5, 'Software', 342, 'Cracks', 0);
INSERT INTO categories VALUES (5, 'Software', 341, 'Keygens', 0);
INSERT INTO categories VALUES (7, 'Misc', 500, 'Adult', 0);
INSERT INTO categories VALUES (4, 'Games', 501, 'Wii', 0);
INSERT INTO categories VALUES (7, 'Misc', 502, 'Articles', 0);
INSERT INTO categories VALUES (6, 'Anime', 503, 'Bleach', 0);
INSERT INTO categories VALUES (6, 'Anime', 504, 'Chobits', 0);
INSERT INTO categories VALUES (1, 'Movies', 151, 'KVCD', 0);
INSERT INTO categories VALUES (1, 'Movies', 152, 'Martial Arts', 53);
INSERT INTO categories VALUES (1, 'Movies', 153, 'Gore Flicks', 49);

INSERT INTO users VALUES (1, 'Crawler', '098f6bcd4621d373cade4e832627b4f6', 'crawling@your.mom', '0', '0', '22/11/2007 18:55:38', 'Seen more torrents than TPB', 'AK Crawler', '001', 'Your Mom', '', NULL, '0', '8.0.0.8', '0', '0');